---
id: "CoreModuleStore"
title: "Interface: CoreModuleStore"
sidebar_label: "CoreModuleStore"
sidebar_position: 0
custom_edit_url: null
---

Represents a core module store that stores IDs mapped to file paths.

## Implemented by

- [`ModuleStore`](../classes/ModuleStore.md)

## Properties

### commands

• **commands**: `Map`<`string`, `string`\>

#### Defined in

[src/core/contracts/module-store.ts:7](https://github.com/sern-handler/handler/blob/81cdde2/src/core/contracts/module-store.ts#L7)

___

### metadata

• **metadata**: `WeakMap`<`Module`, `CommandMeta`\>

#### Defined in

[src/core/contracts/module-store.ts:8](https://github.com/sern-handler/handler/blob/81cdde2/src/core/contracts/module-store.ts#L8)
